---
title: Get
url: https://www.tines.com/docs/api/cases/blocks/elements/get/
updated: 2025-09-09T09:03:08+00:00
description: Retrieve a single element from a block.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Blocks](https://www.tines.com/llm/docs/api/cases/blocks.md) › [Elements](https://www.tines.com/llm/docs/api/cases/blocks/elements.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/blocks/elements/get/)*

## Description

Retrieve a single element from a block.

## Request

HTTP Method: **GET**

| Parameter  | Description            |
| ---------- | ---------------------- |
| case_id    | The ID of the case.    |
| block_id   | The ID of the block.   |
| element_id | The ID of the element. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/blocks/<<block_id>>/elements/<<element_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object of the element.

### Field description

#### Common Element Parameters

| Parameter    | Description                                                 |
| ------------ | ----------------------------------------------------------- |
| element_id   | The unique ID of this element within the current block.     |
| id           | The original/source ID of the element.                      |
| element_type | The type of the element - options: note, file.              |
| author       | Details of the author of the element.                       |
| created_at   | ISO 8601 Timestamp representing creation date and time.     |
| updated_at   | ISO 8601 Timestamp representing last updated date and time. |

| Author parameter   | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

#### Note Element Parameters

| Parameter | Description                                                                            |
| --------- | -------------------------------------------------------------------------------------- |
| content   | The content of the note.                                                               |
| note_type | The type of note - "html" for html blocks and "text" for any others.                   |
| color     | The color of the note - options: white, gold, magenta, green, blue, red, mint, indigo. |

#### File Element Parameters

| Parameter | Description                                            |
| --------- | ------------------------------------------------------ |
| file      | Object containing file information (filename and url). |

### Sample response for a note element

<!-- cspell:disable -->

```json
{
  "element_id": 456,
  "id": 123,
  "element_type": "note",
  "content": "This is a note element",
  "note_type": "text",
  "color": "white",
  "author": {
    "user_id": "1",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  },
  "created_at": "2025-01-07T11:42:58Z",
  "updated_at": "2025-01-07T11:42:58Z"
}
```

### Sample response for a file element

```json
{
  "id": 457,
  "element_type": "file",
  "file": {
    "filename": "example.txt",
    "url": "https://example.com/files/example.txt"
  },
  "author": {
    "user_id": "1",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  },
  "created_at": "2025-01-07T11:43:58Z",
  "updated_at": "2025-01-07T11:43:58Z"
}
```

<!-- cspell:enable -->
